## mender-setup 1.0.0

=== debian/changelog ===
mender-setup (1.0.0-1+ubuntu+noble) stable; urgency=medium

  * Release 1.0.0-1+ubuntu+noble. See online docs for complete changelog

 -- root <root@228e0bf57ee6>  Tue, 09 Sep 2025 11:51:47 +0000

## mender-setup 1.0.1

=== debian/changelog ===
mender-setup (1.0.1-1+ubuntu+noble) stable; urgency=medium

  * Release 1.0.1-1+ubuntu+noble. See online docs for complete changelog

 -- root <root@89a8d2d9e2d5>  Fri, 19 Dec 2025 12:48:17 +0000

## mender-setup 1.0.2

=== debian/changelog ===
mender-setup (1.0.2-1+ubuntu+noble) stable; urgency=medium

  * Release 1.0.2-1+ubuntu+noble. See online docs for complete changelog

 -- root <root@5271e27b069d>  Fri, 19 Dec 2025 15:00:49 +0000

## mender-setup 1.0.3

=== debian/changelog ===
mender-setup (1.0.3-1+ubuntu+noble) stable; urgency=medium

  * Release 1.0.3-1+ubuntu+noble. See online docs for complete changelog

 -- root <root@02741304ccbf>  Wed, 14 Jan 2026 12:57:45 +0000

## mender-setup 1.1.0~git20250617.9fef576

=== debian/changelog ===
mender-setup (1.1.0~git20250617.9fef576-1+ubuntu+noble+builder1963538112) experimental; urgency=medium

  * Release 1.1.0~git20250617.9fef576-1+ubuntu+noble+builder1963538112.
    See online docs for complete changelog

 -- root <root@f4ce0810449c>  Sun, 03 Aug 2025 20:17:51 +0000

## mender-setup 1.1.0~git20250804.67593b1

=== debian/changelog ===
mender-setup (1.1.0~git20250804.67593b1-1+ubuntu+noble+builder2032845207) experimental; urgency=medium

  * Release 1.1.0~git20250804.67593b1-1+ubuntu+noble+builder2032845207.
    See online docs for complete changelog

 -- root <root@a3f5e9020696>  Wed, 10 Sep 2025 20:17:14 +0000

## mender-setup 1.1.0~git20250912.7b9c434

=== debian/changelog ===
mender-setup (1.1.0~git20250912.7b9c434-1+ubuntu+noble+builder2082176904) experimental; urgency=medium

  * Release 1.1.0~git20250912.7b9c434-1+ubuntu+noble+builder2082176904.
    See online docs for complete changelog

 -- root <root@7fca08219fbf>  Sun, 05 Oct 2025 20:40:22 +0000

## mender-setup 1.1.0~git20251006.0edfbc5

=== debian/changelog ===
mender-setup (1.1.0~git20251006.0edfbc5-2+ubuntu+noble+builder2092099627) experimental; urgency=medium

  * Release 1.1.0~git20251006.0edfbc5-2+ubuntu+noble+builder2092099627.
    See online docs for complete changelog

 -- root <root@5981e03ef760>  Fri, 10 Oct 2025 07:47:05 +0000

## mender-setup 1.1.0~git20251101.c04c182

=== debian/changelog ===
mender-setup (1.1.0~git20251101.c04c182-1+ubuntu+jammy+builder2174730615) experimental; urgency=medium

  * Release 1.1.0~git20251101.c04c182-1+ubuntu+jammy+builder2174730615.
    See online docs for complete changelog

 -- root <root@b184e3f6dfc9>  Sun, 23 Nov 2025 20:16:19 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	DESTDIR=debian/mender-setup make install

override_dh_auto_test:
	true

override_dh_strip:
	${CROSS_COMPILE}-strip --remove-section=.comment --remove-section=.note \
	debian/mender-setup/usr/bin/mender-setup

## mender-setup 1.1.0~git20251218.ce02b75

=== debian/changelog ===
mender-setup (1.1.0~git20251218.ce02b75-1+ubuntu+noble+builder2223060572) experimental; urgency=medium

  * Release 1.1.0~git20251218.ce02b75-1+ubuntu+noble+builder2223060572.
    See online docs for complete changelog

 -- root <root@7b82bf393308>  Thu, 18 Dec 2025 20:16:58 +0000

## mender-setup 1.1.0~git20260203.22fb21c

=== Makefile ===
DESTDIR ?= /
prefix ?= $(DESTDIR)
bindir=/usr/bin

GO ?= go
V ?=
PKGS = $(shell go list ./...)
PKGFILES = $(shell find . \( -path ./vendor \) -prune \
		-o -type f -name '*.go' -print)
PKGFILES_notest = $(shell echo $(PKGFILES) | tr ' ' '\n' | grep -v '_test.go' )

VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)

GO_LDFLAGS = \
	-ldflags "-X github.com/mendersoftware/mender-setup/conf.Version=$(VERSION)"

ifeq ($(V),1)
BUILDV = -v
endif

TAGS =
ifneq ($(TAGS),)
BUILDTAGS = -tags '$(TAGS)'
endif

build: mender-setup

clean:
	@$(GO) clean

mender-setup: $(PKGFILES)
	@$(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)

install: install-bin

install-bin: mender-setup
	@install -m 755 -d $(prefix)$(bindir)
	@install -m 755 mender-setup $(prefix)$(bindir)/

uninstall: uninstall-bin

uninstall-bin:
	@rm -f $(prefix)$(bindir)/mender-setup
	@-rmdir -p $(prefix)$(bindir)

check: test

test:
	@$(GO) test $(BUILDV) $(PKGS)

.PHONY: build
.PHONY: clean
.PHONY: install
.PHONY: install-bin
.PHONY: uninstall
.PHONY: uninstall-bin
.PHONY: test
.PHONY: check

## mender-setup 1.1.0~git20251219.06cad05

=== debian/changelog ===
mender-setup (1.1.0~git20251219.06cad05-1+ubuntu+noble+builder2230543024) experimental; urgency=medium

  * Release 1.1.0~git20251219.06cad05-1+ubuntu+noble+builder2230543024.
    See online docs for complete changelog

 -- root <root@75fc878c09c7>  Tue, 23 Dec 2025 20:17:26 +0000

=== debian/control ===
Source: mender-setup
Maintainer: Mender Team <mender@northern.tech>
Section: admin
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9)

Package: mender-setup
Architecture: any
Depends: ${misc:Depends}
Description: Mender Setup is a standalone tool to configure the Mender Client. It writes the
 configuration in the Mender Client configuration file `/etc/mender/mender.conf`.
 It guides the user through an interactive wizard to define the required fields for the configuration
 file. All fields can also be specified with command lines options. See `mender-setup --help` for
 more details.

## mender-setup 1.1.0~git20260105.80da70f

=== debian/changelog ===
mender-setup (1.1.0~git20260105.80da70f-1+ubuntu+noble+builder2248008556) experimental; urgency=medium

  * Release 1.1.0~git20260105.80da70f-1+ubuntu+noble+builder2248008556.
    See online docs for complete changelog

 -- root <root@68197ea61300>  Tue, 06 Jan 2026 20:17:16 +0000

## mender-setup 1.1.0~git20260107.a605593

=== debian/changelog ===
mender-setup (1.1.0~git20260107.a605593-1+ubuntu+noble+builder2250181196) experimental; urgency=medium

  * Release 1.1.0~git20260107.a605593-1+ubuntu+noble+builder2250181196.
    See online docs for complete changelog

 -- root <root@5396dd508a3f>  Wed, 07 Jan 2026 20:18:11 +0000

## mender-setup 1.1.0~git20260108.681daeb

=== debian/changelog ===
mender-setup (1.1.0~git20260108.681daeb-1+ubuntu+noble+builder2252445003) experimental; urgency=medium

  * Release 1.1.0~git20260108.681daeb-1+ubuntu+noble+builder2252445003.
    See online docs for complete changelog

 -- root <root@78bbae58b3c4>  Thu, 08 Jan 2026 20:18:05 +0000

## mender-setup 1.1.0~git20260109.b7dc2d7

=== debian/changelog ===
mender-setup (1.1.0~git20260109.b7dc2d7-1+ubuntu+noble+builder2261058260) experimental; urgency=medium

  * Release 1.1.0~git20260109.b7dc2d7-1+ubuntu+noble+builder2261058260.
    See online docs for complete changelog

 -- root <root@32403570ec56>  Tue, 13 Jan 2026 20:20:20 +0000

## mender-setup 1.1.0~git20260114.057e6c1

=== debian/changelog ===
mender-setup (1.1.0~git20260114.057e6c1-1+ubuntu+noble+builder2301553844) experimental; urgency=medium

  * Release 1.1.0~git20260114.057e6c1-1+ubuntu+noble+builder2301553844.
    See online docs for complete changelog

 -- root <root@a151a17d32ec>  Mon, 02 Feb 2026 20:20:23 +0000

## mender-setup 1.1.0~git20260203.22fb21c

=== debian/changelog ===
mender-setup (1.1.0~git20260203.22fb21c-1+ubuntu+noble+builder2325138823) experimental; urgency=medium

  * Release 1.1.0~git20260203.22fb21c-1+ubuntu+noble+builder2325138823.
    See online docs for complete changelog

 -- root <root@e1275f044c52>  Fri, 13 Feb 2026 20:19:03 +0000
